function init()
rushsound = LoadLoop("MOD/.ogg")
rush = FindBody("rush")

end

function rnd(mi, ma)
	return math.random()*(ma-mi)+mi
end

function update(dt)
rush_trans = GetBodyTransform(rush)
				
				
					for i=1, 2 do
						ParticleReset()
						ParticleType("spark")
						ParticleCollide(0)
						ParticleRadius(5, 5)
						ParticleDrag(10)
						ParticleEmissive(0, 0)
						ParticleColor(.13,.0,.46)
						ParticleGravity(rnd(1,-1))
						ParticleAlpha(5, -5)
						SpawnParticle(VecAdd(rush_trans.pos, Vec(rnd(-15.0,10.0),rnd(-15.0,15.0),rnd(-15.0,15.0))), Vec(rnd(-4,0),rnd(-2,2),rnd(-2,2)), 1)

						ParticleReset()
						ParticleTile(10)
						ParticleType("spark")
						ParticleCollide(0)
						ParticleRadius(5, 5)
						ParticleDrag(10)
						ParticleEmissive(0, 0)
						ParticleColor(.13,.0,.46)
						ParticleGravity(rnd(1,-1))
						ParticleAlpha(5, -5)
					    SpawnParticle(VecAdd(rush_trans.pos, Vec(rnd(-15.0,15.0),rnd(-10.0,10.0),rnd(-15.0,15.0))), Vec(rnd(-4,0),rnd(-2,2),rnd(-2,2)), 2)

						ParticleReset()
						ParticleTile(10)
						ParticleType("spark")
						ParticleCollide(0)
						ParticleRadius(5, 5)
						ParticleDrag(10)
						ParticleEmissive(0, 0)
						ParticleColor(.13,.0,.46)
						ParticleGravity(rnd(1,-1))
						ParticleAlpha(5, -5)
						SpawnParticle(VecAdd(rush_trans.pos, Vec(rnd(-15.0,15.0),rnd(-15.0,15.0),rnd(-15.0,15.0))), Vec(rnd(-4,0),rnd(-2,2),rnd(-2,2)), 3)
						
						ParticleReset()
						ParticleType("spark")
						ParticleCollide(0)
						ParticleTile(10)
						ParticleRadius(5, 5)
						ParticleDrag(10)
						ParticleEmissive(0, 0)
						ParticleColor(.13,.0,.46)
						ParticleGravity(rnd(1,-1))
						ParticleAlpha(5, -5)
						SpawnParticle(VecAdd(rush_trans.pos, Vec(rnd(-15.0,15.0),rnd(-15.0,15.0),rnd(-15.0,15.0))), Vec(rnd(-4,0),rnd(-2,2),rnd(-2,2)), 4)
					end
					PointLight(rush_trans.pos, .20, .20, .20, .20)
					PlayLoop(rushsound, rush_trans.pos, 2)
end			
